Page MenuHomePhabricator

Document Tool naming contraints
Closed, ResolvedPublic

Description

Edit the tutorial for a new tool creation to have tools with valid names (https://wikitech.wikimedia.org/wiki/Help:Toolforge/My_first_Flask_OAuth_tool#Step_1:_Create_a_new_tool_account).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2017, 7:23 PM
Sowjanyavemuri reopened this task as Open.Oct 4 2017, 7:29 PM

[A comment from an outsider:]

@Sowjanyavemuri:
Am I right that the first bullet point is describing the current situation?
While the second and third bullet point is what you plan to work on?
If so,

  • you could assign T176681 to yourself (via Add Action...Assign / Claim in the dropdown menu) if you plan to work on that. No need to duplicate it in this task?
  • make this task only about your third bullet point by editing the summary and description (by clicking Edit Task), as tasks should only cover one problem. :)

(In general, passive constructions like "is edited" can make it hard to understand if this is about the current situation described, or if it is about what needs to be done. I'd respectfully recommend to use verbs and use them in imperative mood like in commit messages, for clarity.)

Thanks for working on this!

Hi @Aklapper,
Made a few changes to the description of the task as suggested.

Thanks for the suggestions.

bd808 added a subscriber: bd808.Oct 5 2017, 10:08 PM

toolsadmin has been updated to prevent invalid names, but having a note about the required naming scheme still seems like a good idea. The description now given when the name is invalid is Must start with a-z, end with a-z or 0-9, be 1-32 characters long, and can only contain lowercase a-z, 0-9, and - characters..

Modified the tutorial to reflect the above changes.

bd808 renamed this task from Tool naming convention to Document Tool naming contraints.Oct 6 2017, 3:47 AM
bd808 closed this task as Resolved.
bd808 added a project: Documentation.